#
# spec file for package perl-IO-Tty (Version 1.07)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           perl-IO-Tty
Url:            http://search.cpan.org/search?module=IO::Tty
License:        GPL v2 or later
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Provides an Interface to Pseudo Tty's
Version:        1.07
Release:        57.1
Source:         IO-Tty-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IO::Tty is a Perl module that provides an interface to pseudo tty's.



Authors:
--------
    Graham Barr <gbarr@ti.com>
    Nick Ing-Simmons <nik@tiuk.ti.com>

%debug_package
%prep
%setup -n IO-Tty-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README
%dir %{perl_vendorarch}/IO
%{perl_vendorarch}/IO/Pty.pm
%{perl_vendorarch}/IO/Tty.pm
%dir %{perl_vendorarch}/IO/Tty
%{perl_vendorarch}/IO/Tty/Constant.pm
%dir %{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/Tty
%{_mandir}/man3/*
/var/adm/perl-modules/perl-IO-Tty
%changelog
* Tue Sep 19 2006 - mc@suse.de
- Version 1.07
  * Tty.pm: pre-allocate buffer for ioctl
  * Tty.xs: added some more letter to BSD allocation
* Fri Jul 14 2006 - mc@suse.de
- Version 1.05
  - changed newCONSTSUB to use newSV(0) instead of PL_sv_undef,
  now undef'd constants work
  - added handling for z/OS (uses /dev/ptyp0000)
  - some bugfixes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - mc@suse.de
- add make test
- add vendorarch changes
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Mon May 19 2003 - mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Apr 05 2002 - mc@suse.de
- switch to version 1.02
- removed alpha compile fix - not longer needed
- redesign of Tty.xs
- added test
- Pty.pm (spawn): rearranged setsid() and added a fresh open of
  the slave pty so the pty becomes the controlling terminal for the
  process.
- Makefile.PL: added tests for all kinds of functions and clone
  devices.
- Makefile.PL: added setting of CONFIG var
- Makefile.PL: added analysis of configuration
- Makefile.PL: fixed checks; test problematic constants with a compile.
- Makefile.PL: auto-create IO::Tty::Constant
- updated docs
* Mon Jan 28 2002 - garloff@suse.de
- Compile fix for alpha.
* Wed Nov 07 2001 - mc@suse.de
- switch to verion 0.05
- slave now is set to be a controlling tty if possible;
  it also remembers it's name now.
- on SCO, the slave pts* are in the /dev dir, not /dev/pts
- added test for libutil.h, util.h, pty.h and openpty()
- added symbol TIOCSCTTY
- some SVR4 only define __SVR4; fixed.
- OSF machines need termio.h for various macros
- AIX doesn't define VOIDSIG; fixed.
- Cygwin can use /dev/ptmx even though that file doesn't exist.
- moved docu over from Pty.pm to lessen confusion Pty <-> Tty
- added verified systems list
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros.
* Tue Feb 13 2001 - mc@suse.de
- fixed the specfile
* Thu Feb 08 2001 - mc@suse.de
- first package, v0.04
